# Gst::TunerChannel Class Reference

Gst::TunerChannel - A channel from an element implementing the Gst::Tuner interface. More...

`#include <tunerchannel.h>`

List of all members.

## Public Member Functions
virtual | ~TunerChannel ()
GstTunerChannel* | gobj ()
| Provides access to the underlying C GObject.
const GstTunerChannel* | gobj () const
| Provides access to the underlying C GObject.
GstTunerChannel* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_label () const
| Get a string containing a descriptive name for this channel.
TunerChannelFlags | get_flags () const
| Get a set of Gst::TunerChannelFlags for this channel.
float | get_freq_multiplicator () const
| Get the step size (in Hz) for the frequency setting.
gulong | get_min_frequency () const
| Get the minimum valid frequency setting (in Hz).
gulong | get_max_frequency () const
| Get the maximum valid frequency setting (in Hz).
int | get_min_signal () const
| Get the minimum reported signal strength value.
int | get_max_signal () const
| Get the maximum reported signal strength value.
Glib::SignalProxy1<void, gulong> | signal_frequency_changed ()
| Reports that the current frequency has changed.
Glib::SignalProxy1<void, int> | signal_signal_changed ()
| Reports that the signal strength has changed.
## Protected Member Functions
virtual void | on_frequency_changed (gulong frequency)
virtual void | on_signal_changed (int signal)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::TunerChannel> | wrap (GstTunerChannel* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::TunerChannel - A channel from an element implementing the Gst::Tuner interface.

The Gst::TunerChannel object is provided by an element implementing the Gst::Tuner interface.

Gst::TunerChannel provides a name and flags to determine the type and capabilities of the channel. If the Gst::TUNER_CHANNEL_FREQUENCY flag is set, then the channel also information about the minimum and maximum frequency, and range of the reported signal strength.

## Constructor& Destructor Documentation

virtual Gst::TunerChannel::~TunerChannel | ( |  | ) | `[virtual]`

## Member Function Documentation

TunerChannelFlags Gst::TunerChannel::get_flags | ( |  | ) | const

Get a set of Gst::TunerChannelFlags for this channel.

float Gst::TunerChannel::get_freq_multiplicator | ( |  | ) | const

Get the step size (in Hz) for the frequency setting.

Glib::ustring Gst::TunerChannel::get_label | ( |  | ) | const

Get a string containing a descriptive name for this channel.

gulong Gst::TunerChannel::get_max_frequency | ( |  | ) | const

Get the maximum valid frequency setting (in Hz).

int Gst::TunerChannel::get_max_signal | ( |  | ) | const

Get the maximum reported signal strength value.

gulong Gst::TunerChannel::get_min_frequency | ( |  | ) | const

Get the minimum valid frequency setting (in Hz).

int Gst::TunerChannel::get_min_signal | ( |  | ) | const

Get the minimum reported signal strength value.

const GstTunerChannel* Gst::TunerChannel::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

GstTunerChannel* Gst::TunerChannel::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

GstTunerChannel* Gst::TunerChannel::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

virtual void Gst::TunerChannel::on_frequency_changed | ( | gulong | frequency | ) | `[protected, virtual]`

virtual void Gst::TunerChannel::on_signal_changed | ( | int | signal | ) | `[protected, virtual]`

Glib::SignalProxy1< void,gulong > Gst::TunerChannel::signal_frequency_changed | ( |  | ) |

Reports that the current frequency has changed.

Parameters:

  | frequency | The new frequency.

Prototype:
  `void on_my_frequency_changed(gulong frequency)`

Glib::SignalProxy1< void,int > Gst::TunerChannel::signal_signal_changed | ( |  | ) |

Reports that the signal strength has changed.

Parameters:

  | signal | The new signal value.

Prototype:
  `void on_my_signal_changed(int signal)`

## Friends And Related Function Documentation

Glib::RefPtr<Gst::TunerChannel> wrap | ( | GstTunerChannel * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- tunerchannel.h